al_fixsin(3)

NAME

al_fixsin - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    al_fixed al_fixsin(al_fixed x);

DESCRIPTION

This function finds the sine of a value using a lookup table. The input value must be a fixed point binary angle.

Example:

    al_fixed angle;
    int result;
    /* Set the binary angle to 90 degrees. */
    angle = al_itofix(64);
    /* The sine of 90 degrees is one. */
    result = al_fixtoi(al_fixsin(angle));
    assert(result == 1);

RETURN VALUE

Returns the sine of a fixed point binary format angle as a fixed point value.